//Skybox

textures/ef_elgin/ef_elginsky
{
	qer_editorImage textures/ef_elgin/env/crenshawsky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sunExt 255 255 240 50 122 86 2 16
	q3map_LightMapFilterRadius 0 8
	q3map_skylight 20 4
	nopicmip
	skyparms textures/ef_elgin/env/crenshawsky - -
	{
		map textures/ef_elgin/env/sky_clouds.tga
		tcMod scale 3 3
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
		blendFunc add
	}
	{
		clampmap textures/ef_elgin/env/sky_arc_masked.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identityLighting
	}
}

//Riches_Alpha

textures/ef_elgin/r_whiterail1_256
{
	qer_editorimage textures/ef_elgin/r_whiterail1_256.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	surfaceparm nomarks	
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/ef_elgin/r_whiterail1_256.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/ef_elgin/r_metalrail1
{
	qer_editorimage textures/ef_elgin/r_metalrail1.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	surfaceparm nomarks	
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/ef_elgin/r_metalrail1.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}

}

textures/ef_elgin/r_razorwire1
{
	qer_editorimage textures/ef_elgin/r_razorwire1.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	surfaceparm nomarks	
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/ef_elgin/r_razorwire1.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/ef_elgin/r_chains2
{
	qer_editorimage textures/ef_elgin/r_chains2.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	surfaceparm nomarks	
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/ef_elgin/r_chains2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/ef_elgin/truefence
{
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	surfaceparm noimpact
	cull none
	nopicmip

	{
		map textures/ef_elgin/truefence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ef_elgin/r_windowdam3_512
{
	qer_editorimage textures/ef_elgin/r_windowdam3_512.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	surfaceparm nomarks	
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/ef_elgin/r_windowdam3_512.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/ef_elgin/r_windowdam4_512
{
	qer_editorimage textures/ef_elgin/r_windowdam4_512.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	surfaceparm nomarks	
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/ef_elgin/r_windowdam4_512.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

//Riches_Lights

textures/ef_elgin/r_light5
{
	qer_editorimage textures/ef_elgin/r_light4.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	q3map_lightsubdivide 128

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_elgin/r_light4.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_elgin/r_subwaylight_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ef_elgin/r_striplight1_300
{
	qer_editorimage textures/ef_elgin/yellowblend.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_elgin/yellowblend.tga
		blendFunc GL_DST_COLOR GL_ZERO
        		rgbGen identity
    	}
    	{
        		map textures/ef_elgin/yellowblend.tga
        		blendFunc GL_ONE GL_ONE
    	}
}

textures/ef_elgin/r_subwaylight2_1000
{
	qer_editorimage textures/ef_elgin/r_subwaylight2_512.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	q3map_lightsubdivide 128

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_elgin/r_subwaylight2_512.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_elgin/r_subwaylight_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

//Riches

textures/ef_elgin/r_drain2
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
	sort 6 
	{ 
		map textures/ef_elgin/r_drain2.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex 
	} 
}

textures/ef_elgin/r_manholecover1
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
       	sort 6 
   	{ 
      		map textures/ef_elgin/r_manholecover1.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex 
   	} 
}

textures/ef_elgin/r_manholecover2
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
	sort 6 
	{ 
      		map textures/ef_elgin/r_manholecover2.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex 
   	} 
}

textures/ef_elgin/r_manholecover3
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
	sort 6 
   	{ 
      		map textures/ef_elgin/r_manholecover3.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex 
   	} 
}

textures/ef_elgin/r_manholecover4
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
        	sort 6 
   	{ 
      		map textures/ef_elgin/r_manholecover4.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex 
   	} 
}

textures/ef_elgin/r_manholecover5
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
	sort 6 
   	{ 
      		map textures/ef_elgin/r_manholecover5.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex 
   	} 
}

textures/ef_elgin/r_watertapcover
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
        	sort 6 
   	{ 
      		map textures/ef_elgin/r_watertapcover.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex 
   	} 
}

textures/ef_elgin/r_roundmanhole
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
	sort 6 
	{ 
		map textures/ef_elgin/r_roundmanhole.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex 
	} 
}

textures/ef_elgin/r_roadscar1
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
        	sort 6
	nopicmip
	nomipmaps
   	{ 
      		map textures/ef_elgin/r_roadscar1.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex 
   	} 
}

textures/ef_elgin/r_roadscar2
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
        	sort 6
	nopicmip
	nomipmaps
   	{ 
      		map textures/ef_elgin/r_roadscar2.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex 
   	} 
}

textures/ef_elgin/r_roadscar3
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
        	sort 6 
	nopicmip
	nomipmaps
   	{ 
      		map textures/ef_elgin/r_roadscar3.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex 
   	} 
}

textures/ef_elgin/roadmarking2
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
        	sort 6
	nopicmip
	nomipmaps
   	{ 
      		map textures/ef_elgin/roadmarking2.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex 
   	} 
}

textures/ef_elgin/roadmarking3
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
        	sort 6
	nopicmip
	nomipmaps
   	{ 
      		map textures/ef_elgin/roadmarking3.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex 
   	} 
}

textures/ef_elgin/roadmarking4
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
        	sort 6
	nopicmip
	nomipmaps
   	{ 
      		map textures/ef_elgin/roadmarking4.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex 
   	} 
}

textures/ef_elgin/r_yellowstripe1
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
        	sort 6
 	nopicmip
	nomipmaps
   	{ 
      		map textures/ef_elgin/r_yellowstripe1.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex 
   	} 
}

textures/ef_elgin/r_yellowstripe2
{ 
	surfaceparm nonsolid 
   	polygonOffset 
	sort 6
	nopicmip
	nomipmaps
	{ 
      		map textures/ef_elgin/r_yellowstripe2.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex 
   	} 
}

textures/ef_elgin/r_adtsecurity
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
        	sort 6 
   	{ 
      		map textures/ef_elgin/r_adtsecurity.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex 
   	} 
	{
		map textures/ef_elgin/rcfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
}

textures/ef_elgin/r_crickladeroad
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
	sort 7 
	{ 
      		map textures/ef_elgin/r_crickladeroad.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex 
   	} 
}

textures/ef_elgin/r_giveway
{
	{
		map textures/ef_elgin/r_giveway.tga
 		rgbGen Vertex
	}
	
	{
		map textures/ef_elgin/rcfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
}

textures/ef_elgin/r_signpole
{
	{
		map textures/ef_elgin/r_signpole.tga
		rgbGen vertex
	}

	{
		map textures/ef_elgin/rcfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
}

textures/ef_elgin/r_parking
{ 
   	surfaceparm nonsolid 
	polygonOffset 
	sort 7 
   	{ 
		map textures/ef_elgin/r_parking.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		rgbGen vertex 
      		alphaGen vertex 
   	} 
	{
		map textures/ef_elgin/rcfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
}

textures/ef_elgin/r_parkingwarning1
{ 
   	polygonOffset
	nomipmaps
	nopicmip
	{ 
      		map textures/ef_elgin/r_parkingwarning1.tga 
	   	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		rgbGen vertex 
      		alphaGen vertex
   	} 
	{
		map textures/ef_elgin/rcfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
}

textures/ef_elgin/r_keepclear
{ 
   	polygonOffset
	nomipmaps
	nopicmip
	{ 
		map textures/ef_elgin/r_keepclear.tga 
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex
   	} 
	{
		map textures/ef_elgin/rcfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
}

textures/ef_elgin/r_true
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
        	sort 6 
   	{ 
      		map textures/ef_elgin/r_true.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex 
   	} 
}

textures/ef_elgin/r_orda3
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
        	sort 6 
   	{ 
      		map textures/ef_elgin/r_orda3.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex 
   	} 
}

textures/ef_elgin/r_orda4
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
        	sort 6 
   	{ 
      		map textures/ef_elgin/r_orda4.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex 
   	} 
}

textures/ef_elgin/grass01
{
	qer_editorimage textures/ef_elgin/grass01.tga
	q3map_backShader textures/ef_elgin/grass01_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99

	{
		map textures/ef_elgin/grass01.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/ef_elgin/grass01_back
{
	qer_editorimage textures/ef_elgin/grass01.tga
	q3map_vertexScale 2
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ef_elgin/grass01.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

//Botclip

textures/ef_elgin/botclip
{
	qer_trans 0.40
	qer_editorimage textures/common/botclip.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm botclip
	surfaceparm noimpact
	surfaceparm trans
}

//Models

models/mapobjects/ef_elgin/br_flower1
{
	qer_editorimage models/mapobjects/ef_elgin/br_flower1.tga
	qer_trans 0.99
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	q3map_bounce .1
	q3map_noshadow 16
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .2 0 .3
	sort 4
	{
		map models/mapobjects/ef_elgin/br_flower1.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128
	}
}

models/mapobjects/ef_elgin/br_flower2
{
	qer_editorimage models/mapobjects/ef_elgin/br_flower2.tga
	qer_trans 0.99
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	q3map_bounce .1
	q3map_noshadow 16
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .2 0 .3
	sort 4
	{
		map models/mapobjects/ef_elgin/br_flower2.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128
	}
}

models/mapobjects/ef_elgin/br_flower3
{
	qer_editorimage models/mapobjects/ef_elgin/br_flower3.tga
	qer_trans 0.99
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	q3map_bounce .1
	q3map_noshadow 16
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .2 0 .3
	sort 4
	{
		map models/mapobjects/ef_elgin/br_flower3.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128
	}
}

models/mapobjects/ef_elgin/br_flower4
{
	qer_editorimage models/mapobjects/ef_elgin/br_flower4.tga
	qer_trans 0.99
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	q3map_bounce .1
	q3map_noshadow 16
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .2 0 .3
	sort 4
	{
		map models/mapobjects/ef_elgin/br_flower4.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128
	}
}

models/mapobjects/ef_elgin/br_flower5
{
	qer_editorimage models/mapobjects/ef_elgin/br_flower5.tga
	qer_trans 0.99
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	q3map_bounce .1
	q3map_noshadow 16
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .2 0 .3
	sort 4
	{
		map models/mapobjects/ef_elgin/br_flower5.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128
	}
}

models/mapobjects/ef_elgin/br_flower6
{
	qer_editorimage models/mapobjects/ef_elgin/br_flower6.tga
	qer_trans 0.99
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	q3map_bounce .1
	q3map_noshadow 16
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .2 0 .3
	sort 4
	{
		map models/mapobjects/ef_elgin/br_flower6.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128
	}
}

models/mapobjects/ef_elgin/br_leaf1
{
	qer_editorimage models/mapobjects/ef_elgin/br_leaf1.tga
	qer_trans 0.99
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	q3map_bounce .1
	q3map_noshadow 16
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .2 0 .3
	sort 4
	{
		map models/mapobjects/ef_elgin/br_leaf1.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128
	}
}

models/mapobjects/ef_elgin/branch_t
{ 
    	qer_editorimage models/mapobjects/ef_elgin/branch_t.tga 
    	qer_alphafunc greater 0.5
	q3map_nonPlanar
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nonopaque
	surfaceparm trans
	surfaceparm alphashadow
	cull none  
	nopicmip 
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .3 0 .3
	{ 	
		map models/mapobjects/ef_elgin/branch_t.tga 
   		alphaFunc GE128  
   		depthwrite
		rgbGen vertex
	} 
}

models/mapobjects/ef_elgin/van1_glass
{
    	qer_editorimage models/mapobjects/ef_elgin/van1_glass.tga
	q3map_onlyvertexlighting
	qer_trans 0.75
	surfaceparm trans
//	surfaceparm nonopaque
	cull twosided
    	{
        		map $lightmap
        		blendFunc GL_DST_COLOR GL_ZERO
    	}
	{
		map  textures/engineering/glass1.tga
	}
	{
        		map textures/ef_elgin/rcfx3.tga
        		blendFunc GL_ONE GL_ONE
		tcgen environment
	}
}

models/mapobjects/ef_elgin/van1_outside
{
	cull none
	q3map_shadeangle 90
	polygonOffset
	{
		map $lightmap
	}
	{
		map models/mapobjects/ef_elgin/van1_outside.tga
        		blendFunc GL_DST_COLOR GL_ZERO
    	}
	{
        		map textures/ef_elgin/rcfx3.tga
        		blendFunc GL_ONE GL_ONE
    	}
}

models/mapobjects/ef_elgin/br_barrier
{
	qer_editorimage models/mapobjects/ef_elgin/br_barrier.tga
	q3map_forcemeta
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_bouncescale 0.0
	nopicmip
	{
		map models/mapobjects/ef_elgin/br_barrier.tga
		rgbgen vertex
	}
}

models/mapobjects/ef_elgin/glass
{
	qer_editorimage models/mapobjects/ef_elgin/glass.tga
	q3map_lightimage models/mapobjects/ef_elgin/glass_abbey_colour.tga
	surfaceparm nomarks
	q3map_surfacelight 45
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map models/mapobjects/ef_elgin/glass_abbey_colour.tga
		blendfunc gl_zero gl_src_alpha
	}
	{
		map models/mapobjects/ef_elgin/glass.tga
		blendfunc filter
		rgbGen identity
	}
}