//Antiportal

textures/ef_thingley/antiportal
{
	qer_editorImage textures/common/antiportal.tga
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm antiportal
}

//Watercaulk

textures/ef_thingley/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/common/watercaulk.tga
	surfaceparm water
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

//Water

textures/ef_thingley/foamyseawater
{
	qer_editorimage textures/ef_thingley/foamyseawater.tga
	qer_trans 0.9
	q3map_fancywater 10 0.85 0.8 0.75
	surfaceparm trans
	surfaceparm lightfilter
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	surfaceparm nolightmap
	{
		map textures/ef_thingley/foamyseawater.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod turb 0 0.1 1 .1
	}
	{
		map $lightmap
		blendfunc filter
	}
}

//Skybox

textures/ef_thingley/box310
{
	qer_editorImage textures/ef_thingley/box310.tga
//	q3map_lightimage textures/sweetnutz3/sn_newcasa_sky.tga   
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sunExt 1 1 1 60 88 13 2 16
	q3map_LightMapFilterRadius 0 8
	q3map_skylight 95 4
	nopicmip
	skyparms textures/ef_thingley/env/box310 - -
	{	
		map textures/ef_thingley/env/clouds.tga
		tcMod scale 2.5 2.5
		tcMod scroll 0.0015 -0.0125
		rgbGen identityLighting
		blendFunc add
	}
	{
		map textures/ef_thingley/env/sky_mask.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		tcMod transform	0.25 0 0 0.25 0.1075 0.1075
		rgbGen identityLighting
	}
}

//Riches_Alpha

textures/ef_thingley/r_whitegate1_512
{
	qer_editorimage textures/ef_thingley/r_whitegate1_512.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	surfaceparm nomarks	
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/ef_thingley/r_whitegate1_512.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/ef_thingley/r_churchclockface_256
{ 
	surfaceparm nonsolid 
   	polygonOffset 
	sort 6
	nopicmip
	{ 
      		map textures/ef_thingley/r_churchclockface_256.tga
     		alphaFunc GE128
		rgbGen vertex
   	} 
}

textures/ef_thingley/r_baydonroad
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
	sort 7 
	{ 
      		map textures/ef_thingley/r_baydonroad.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
		alphaGen vertex 
	} 
}

textures/ef_thingley/r_fragileroof
{ 
   	polygonOffset
	nomipmaps
	nopicmip
   	{ 
      		map textures/ef_thingley/r_fragileroof.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex
	} 
}

textures/ef_thingley/r_lfc
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
	sort 7 
	{ 
      		map textures/ef_thingley/r_lfc.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex 
	} 
}

textures/ef_thingley/r_noball
{ 
   	polygonOffset
	nomipmaps
	nopicmip 
   	{ 
      		map textures/ef_thingley/r_noball.tga 
   	   	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex
   	} 
	{
		map textures/ef_elgin/rcfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
}

textures/ef_thingley/r_noball2
{ 
   	surfaceparm nonsolid 
	polygonOffset 
        	sort 7 
   	{ 
      		map textures/ef_thingley/r_noball2.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		rgbGen vertex 
      		alphaGen vertex 
   	} 
	{
		map textures/ef_elgin/rcfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
}

textures/ef_thingley/r_orchardsquare
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
       	sort 7 
   	{ 
		map textures/ef_thingley/r_orchardsquare.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex 
   	} 
}

textures/ef_thingley/r_peartreewalk
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
	sort 7 
	{ 
		map textures/ef_thingley/r_peartreewalk.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex 
   	} 
}

textures/ef_thingley/r_thehighstreet
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
	sort 7 
	{ 
		map textures/ef_thingley/r_thehighstreet.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex 
	}
}

textures/ef_thingley/r_winchesterway
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
        	sort 7 
	{ 
      		map textures/ef_thingley/r_winchesterway.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
		alphaGen vertex 
	} 
}

textures/ef_thingley/r_orda1
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
	sort 6 
	{ 
		map textures/ef_thingley/r_orda1.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex 
   	} 
}

textures/ef_thingley/r_orda2
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
	sort 6 
	{ 
      		map textures/ef_thingley/r_orda2.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex 
	} 
}

textures/ef_thingley/r_orda5
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
	sort 6 
	{ 
		map textures/ef_thingley/r_orda5.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex 
   	} 
}

textures/ef_thingley/r_orda6
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
	sort 6 
	{ 
      		map textures/ef_thingley/r_orda6.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex 
	} 
}


textures/ef_thingley/r_vandal
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
	sort 6 
	{ 
      		map textures/ef_thingley/r_vandal.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex 
	} 
	{
		map textures/ef_elgin/rcfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
}

textures/ef_thingley/r_villagecenter
{ 
   	surfaceparm nonsolid 
   	polygonOffset 
        	sort 6 
   	{ 
      		map textures/ef_thingley/r_villagecenter.tga 
      		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      		rgbGen vertex 
      		alphaGen vertex 
	} 
	{
		map textures/ef_elgin/rcfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
}

//Models

models/mapobjects/ef_thingley/br_crystals
{
	qer_editorimage models/mapobjects/ef_thingley/br_crystals.tga
	q3map_forcemeta
	surfaceparm trans
	surfaceparm pointlight
	q3map_bouncescale 0.0
	nopicmip
	cull none
	qer_alphaFunc gequal 0.5
	{
		map models/mapobjects/ef_thingley/br_crystals.tga
		alphaFunc GE128
		depthWrite
		rgbgen vertex
	}
}

models/mapobjects/ef_thingley/br_lamp1
{
	qer_editorimage models/mapobjects/ef_thingley/br_lamp1.tga
	q3map_forcemeta
	surfaceparm pointlight
	surfaceparm trans
	q3map_bouncescale 0.0
	{
		map models/mapobjects/ef_thingley/br_lamp1.tga
		rgbgen vertex
	}
}

models/mapobjects/ef_thingley/br_lampshade1
{
	qer_editorimage models/mapobjects/ef_thingley/br_lampshade1.tga
	q3map_forcemeta
	qer_trans 0.8
	q3map_surfacelight 1000
	surfaceparm pointlight
	surfaceparm trans
	q3map_bouncescale 0.0	
	nopicmip
	cull none
	{
		map models/mapobjects/ef_thingley/br_lampshade1.tga
		blendfunc blend
		alphaGen const 0.8
		rgbgen vertex
	}
}

models/mapobjects/ef_thingley/grey104
{
	qer_editorimage models/mapobjects/ef_thingley/grey104.tga
	q3map_forcemeta
	surfaceparm trans
	surfaceparm pointlight
	{
		map models/mapobjects/ef_thingley/grey104.tga
		rgbgen vertex
	}
}

models/mapobjects/ef_thingley/br_light1
{
	qer_editorimage models/mapobjects/ef_thingley/br_light1.tga
	q3map_surfacelight 6000
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/ef_thingley/br_light1.tga
		blendfunc GL_ONE GL_SRC_ALPHA
	}
	{
		map models/mapobjects/ef_thingley/br_light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	
}

textures/ef_thingley/whitelight
{
	qer_editorimage textures/ef_thingley/whitelight.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 80
	q3map_lightsubdivide 128
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_thingley/whitelight.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ef_thingley/whitelight.tga
		blendfunc GL_ONE GL_ONE
	}
}